<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 10                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Mailinglists
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminDoEditListsPreferences
 * A function to write the configuration of the Mailinglists module to the database
 * @author Philipp Louis Esselbach
 */
function AdminDoEditListsPreferences()
{
	global $database, $system, $security, $preferences, $html, $words_mailinglists;
	$input_mailinglists_active = ( isset( $_POST[ 'input_mailinglists_active' ] ) ) ? $security -> checknum( $_POST[ 'input_mailinglists_active' ] ) : "" ;
	$input_mailinglists_pagename = ( isset( $_POST[ 'input_mailinglists_pagename' ] ) ) ? $security -> checkvar( $_POST[ 'input_mailinglists_pagename' ] ) : "" ;
	$input_mailinglists_description = ( isset( $_POST[ 'input_mailinglists_description' ] ) ) ? $security -> checkvar( $_POST[ 'input_mailinglists_description' ] ) : "" ;
	$input_mailinglists_keywords = ( isset( $_POST[ 'input_mailinglists_keywords' ] ) ) ? $security -> checkvar( $_POST[ 'input_mailinglists_keywords' ] ) : "" ;
	$input_mailinglists_navigation = ( isset( $_POST[ 'input_mailinglists_navigation' ] ) ) ? $security -> checknum( $_POST[ 'input_mailinglists_navigation' ] ) : "" ;
	$input_mailinglists_wysiwyg = ( isset( $_POST[ 'input_mailinglists_wysiwyg' ] ) ) ? $security -> checknum( $_POST[ 'input_mailinglists_wysiwyg' ] ) : "" ;	
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;

	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_mailinglists[ 'ERROR' ], $words_mailinglists[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_mailinglists_active . "' WHERE preference_key = 'MAILINGLISTS_ACTIVE'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_mailinglists_pagename . "' WHERE preference_key = 'MAILINGLISTS_PAGENAME'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_mailinglists_description . "' WHERE preference_key = 'MAILINGLISTS_DESCRIPTION'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_mailinglists_keywords . "' WHERE preference_key = 'MAILINGLISTS_KEYWORDS'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_mailinglists_navigation . "' WHERE preference_key = 'MAILINGLISTS_NAVIGATION'" );
	$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_preferences SET preference_value = '" . $input_mailinglists_wysiwyg . "' WHERE preference_key = 'MAILINGLISTS_WYSIWYG'" );	
	
	if( file_exists( "../includes/preferences.php" ) )
	{
		@unlink( "../includes/preferences.php" );
	}
	
	$html -> login( $words_mailinglists[ 'LISTS_PREFERENCES' ], $words_mailinglists[ 'LISTS_PREFS_CHANGED' ], "index.php?action=editlistspreferences" );
}
?>