<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 529     Patch: 10                                                 |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Mailinglists
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminSendNewsletter
 * A function to prepare a newsletter 
 * @author Philipp Louis Esselbach
 */
function AdminSendNewsletter( $notice )
{
	global $database, $system, $html, $wysiwyg, $preferences, $words_mailinglists;
	$input_mailinglist_id = ( isset( $_POST[ 'input_mailinglist_id' ] ) ) ? $system -> stripthis( $_POST[ 'input_mailinglist_id' ] ) : "" ;
	$input_mailinglist_subject = ( isset( $_POST[ 'input_mailinglist_subject' ] ) ) ? $system -> stripthis( $_POST[ 'input_mailinglist_subject' ] ) : "" ;
	$input_mailinglist_text = ( isset( $_POST[ 'input_mailinglist_text' ] ) ) ? $system -> stripthis( $_POST[ 'input_mailinglist_text' ] ) : "" ;
	$input_mailinglist_html = ( isset( $_POST[ 'input_mailinglist_html' ] ) ) ? $system -> stripthis( $_POST[ 'input_mailinglist_html' ] ) : "" ;
	
	$security_hash = $system -> adminhashput();
	
	$html -> makeheader( $words_mailinglists[ 'SEND_NEWSLETTER' ] );
	
	if( $preferences[ 'mailinglists_wysiwyg' ] )
	{
		$wysiwyg -> wysiwyginit( "input_mailinglist_text" );
	}
		
	$html -> makesubheader();
	$html -> makegroupmenu( "mailinglists" );
	
	if( $notice )
	{
		$html -> makeformheader( $words_mailinglists[ 'NOTICE' ], "sendlist", "newform", "post" );
		echo $notice;
		echo "<br /><br /><h2>" . $words_mailinglists[ 'SEND_NEWSLETTER' ] . "</h2>";
	}
	else
	{
		$html -> makeformheader( $words_mailinglists[ 'SEND_NEWSLETTER' ], "sendlist", "newform", "post" );
	}
	
	$query = $database -> dbquery( "SELECT mailinglist_id, mailinglist_name FROM " . DB_PREFIX . "esselbach_ct_mailinglists" );
	
	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_mailinglists[ 'MAILING_LIST_NAME' ] . ":</strong> <select size=\"1\" name=\"input_mailinglist_id\">";
		
		while( list( $mailinglist_id, $mailinglist_name ) = $database -> dbrow( $query ) )
		{
			if( $mailinglist_id == $input_mailinglist_id )
			{
				echo "<option selected=\"selected\" value=\"" . $mailinglist_id . "\">" . $mailinglist_name . "</option>";
			}
			else
			{
				echo "<option value=\"" . $mailinglist_id . "\">" . $mailinglist_name . "</option>";
			}
		}
		
		echo "</select><br />";
		$html -> uppertext( $words_mailinglists[ 'SUBJECT' ], "input_mailinglist_subject", $input_mailinglist_subject );
		$html -> upperform( $words_mailinglists[ 'TEXT' ], "input_mailinglist_text", $input_mailinglist_text, 25 );
		
		if( $preferences[ 'mailinglists_wysiwyg' ] )
		{
			echo "<input type=\"hidden\" name=\"input_mailinglist_html\" value=\"0\" />";
		}
		else 
		{
			$html -> makeselect( $words_mailinglists[ 'SEND_HTML' ], "input_mailinglist_html", $input_mailinglist_html, $words_mailinglists[ 'YES' ] . " " . $words_mailinglists[ 'NO' ] );
			echo "<br />";
		}
		echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"dosendnewsletter\" /><input type=\"submit\" value=\"" . $words_mailinglists[ 'SUBMIT' ] . "\" />";
	}
	else
	{
		echo $words_mailinglists[ 'NO_MAILINGLIST' ];
	}
	
	$html -> makeformfooter();
}
?>